# Experimental usage

Download the scripts **send_files.sh** and **distribute.sh**

Create the files **users** and **files_to_send**

#### users

List of users to use doesn't allow spaces in the username

```text
user1 user2
user3
```

Create a folder for each user adn a file named *p* which contains the password in flat text


#### files_to_send

List of files to send, doesn't allow spaces in the same file


```text
file1 file2
file3
```

Place the files on the working structure (aka. script folder)


## Create the following directory structure

```bash
./  <-- working structure (execute script at this lvl aka. use cd)
./distribute.sh
./send_files.sh
./files_to_send
./users

#### files to send
./file1
./file2
./file3

### users
./user1/  <---- directory from the user
./user1/p <---- txt with password of the user

./user2/  <---- directory from the user
./user2/p <---- txt with password of the user
```

#####

Execute

```bash
$ bash ./distribute.sh
```